Skip to main content
PUT
Error

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

accountId
integer<int32>
required

Unique identifier of the customer account whose CustomerContact information you want to update.

contactId
integer<int32>
required

Query Parameters

userId
string

If provided, the primary markings on the contact will be stored as the user's preferred primary override. Required to set a primary address on a B2B account, where primaries are stored per user rather than on the contact.

responseFields
string

limits which fields are returned in the response body

Body

application/json

CustomerContact information for a customer account including the name, company, phone numbers, email addresses, and billing and shipping addresses (if supplied).

accountId
integer<int32>
address
object
auditInfo
object
companyOrOrganization
string | null
email
string | null
faxNumber
string | null
firstName
string | null
id
integer<int32> | null
label
string | null
lastNameOrSurname
string | null
middleNameOrInitial
string | null
phoneNumbers
object
types
object[] | null

Response

OK

CustomerContact information for a customer account including the name, company, phone numbers, email addresses, and billing and shipping addresses (if supplied).

accountId
integer<int32>
address
object
auditInfo
object
companyOrOrganization
string | null
email
string | null
faxNumber
string | null
firstName
string | null
id
integer<int32> | null
label
string | null
lastNameOrSurname
string | null
middleNameOrInitial
string | null
phoneNumbers
object
types
object[] | null